%define	version 0.5.3
%define kdename kdiskcat
%define release 5mdk
%define kdedir %{_libdir}/kde1-compat

Name: %{kdename}
Summary: File cataloging utility
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: kdiskcat_menuentry
Group: File tools
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-root
Requires: qt kdelibs

%description
Utility to graphically manage disk contents for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
export QTDIR=%{_libdir}/qt
export KDEDIR=%{kdedir}

libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT --disable-rpath

mkdir -p $RPM_BUILD_ROOT    
#if [ "$SMP" != "" ]; then
#  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
#  make KDEDIR=$KDEDIR
#else
  make KDEDIR=$KDEDIR
#fi

%install
make bindir=$RPM_BUILD_ROOT%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT%{_datadir}/doc/kde1/HTML \
kde_icondir=$RPM_BUILD_ROOT%{_datadir}/icons \
kde_locale=$RPM_BUILD_ROOT%{_datadir}/locale \
kde_mimedir=$RPM_BUILD_ROOT%{_datadir}/mimelnk \
kde_minidir=$RPM_BUILD_ROOT%{_datadir}/icons/mini install


# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1}  $RPM_BUILD_ROOT/usr/lib/menu/kdiskcat

#%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files 
%defattr(-,root,root,755)
%doc README AUTHORS COPYING INSTALL TODO
%{_menudir}/kdiskcat
%{_iconsdir}/kdiskcat.xpm
%{_miconsdir}/kdiskcat.xpm
%{_bindir}/*
%{kdedir}/share/apps/*
#%dir /usr/share/locale/*/LC_MESSAGES
#/usr/share/locale/*/LC_MESSAGES/kdiskcat.mo


%changelog
* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.3-5mdk
- Add missing pixmaps

* Fri Oct  6 2000 Etienne Faure  <etienne@mandraksoft.com> 0.5.3-4mdk
- removed internationnaisation

* Tue Sep 26 2000 Etienne Faure  <etienne@mandraksoft.com> 0.5.3-3mdk
- added the %%{find_lang} macro

* Tue Sep  5 2000 Etienne Faure  <etienne@mandraksoft.com> 0.5.3-2mdk
- rebuilt with new lib path


* Thu Jun 22 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5.3-1mdk

- 0.5.3


* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5-3mdk

- Really changed group
- post and postun script
- Added --disable-rpath to ./configure

* Mon Mar 27 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5-2mdk

- Don't use autogenerated file list
- Menu entry
- Changed group

* Tue Feb 15 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- ver. 0.5

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- libtoolize --force.

* Mon Nov 15 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.1

* Wed Sep 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build for Cooker.


* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
 -Inital RPM.

